<script setup>
import {ref} from 'vue'
import {useRoomStore} from "@/stores/room"

const roomStore = useRoomStore()
const roomNumber = ref("")
const vip = ref("")
const descriptionRoom = ref("")
const apiError = ref("")

async function createRoom() {
  apiError.value = ""
  try {
    await roomStore.createRoom({
      roomNumber: roomNumber.value,
      vip: vip.value,
      descriptionRoom: descriptionRoom.value
    })

  } catch (err) {
    if (err.isAxiosError && err.status === 401) {
      apiError.value = "You must be logged in"
    } else {
      apiError.value = "Unknown error"
    }
  }

  roomNumber.value = ""
  vip.value = ""
  descriptionRoom.value = ""
}
</script>

<template>
  <div class="bg-black text-white rounded-2 p-3">
    <form @submit.prevent="createRoom">
      <div class="mb-3 row">
        <label class="col-12 col-md-4">
          <span class="form-label">Number</span>
          <input type="number" name="number" v-model="roomNumber" class="form-control" required>
        </label>
        <label class="col-12 col-md-4">
          <span class="form-label">Person</span>
          <input type="text" name="vip" v-model="vip" class="form-control" required>
        </label>
        <label class="col-12 col-md-4">
          <span class="form-label">Description</span>
          <input type="text" name="description" v-model="descriptionRoom" class="form-control" required>
        </label>
      </div>
      <button type="submit" class="btn btn-warning">Add Room</button>
    </form>
  </div>
</template>

<style scoped>
.bg-black {
  width: 1000px;
}
</style>